wibble::list::Empty< T > Struct Template Reference

`#include <list.h>`

## Public Types

typedef T | Type

## Public Member Functions

T | head () const
bool | empty () const
Empty | tail () const

## Member Typedef Documentation

## Type

template<typename T >

typedef T wibble::list::Empty< T >::Type

## Member Function Documentation

## empty()

template<typename T >

bool wibble::list::Empty< T >::empty | ( |  | ) | const

inline

## head()

template<typename T >

T wibble::list::Empty< T >::head | ( |  | ) | const

inline

## tail()

template<typename T >

Empty wibble::list::Empty< T >::tail | ( |  | ) | const

inline

The documentation for this struct was generated from the following file:

- list.h